Skip to main content
Required ACL: search
  • By default, facet values are sorted by decreasing count. You can adjust this with the sortFacetValueBy parameter.
  • Searching for facet values doesn’t work if you have more than 65 searchable facets and searchable attributes combined.

Usage

// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));

// Call the API
var response = await client.SearchForFacetValuesAsync("<YOUR_INDEX_NAME>", "facetName");

// print the response
Console.WriteLine(response);
// Initialize the client
final client =
    SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');

// Call the API
final response = await client.searchForFacetValues(
  indexName: "<YOUR_INDEX_NAME>",
  facetName: "facetName",
);

// print the response
print(response);
// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
  // The client can fail to initialize if you pass an invalid parameter.
  panic(err)
}

// Call the API
response, err := client.SearchForFacetValues(client.NewApiSearchForFacetValuesRequest(
  "<YOUR_INDEX_NAME>", "facetName"))
if err != nil {
  // handle the eventual error
  panic(err)
}


// print the response
print(response)
// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");

// Call the API
SearchForFacetValuesResponse response = client.searchForFacetValues("<YOUR_INDEX_NAME>", "facetName");

// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');

// Call the API
const response = await client.searchForFacetValues({ indexName: 'indexName', facetName: 'facetName' });


// print the response
console.log(response);
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")

// Call the API
var response =
  client.searchForFacetValues(indexName = "<YOUR_INDEX_NAME>", facetName = "facetName")


// print the response
println(response)
// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');

// Call the API
$response = $client->searchForFacetValues(
    '<YOUR_INDEX_NAME>',
    'facetName',
);


// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")

# Call the API
response = client.search_for_facet_values(
    index_name="<YOUR_INDEX_NAME>",
    facet_name="facetName",
)


# print the response
print(response)
# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")

# Call the API
response = client.search_for_facet_values("<YOUR_INDEX_NAME>", "facetName")


# print the response
puts(response)
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")

// Call the API
val response = Await.result(
  client.searchForFacetValues(
    indexName = "<YOUR_INDEX_NAME>",
    facetName = "facetName"
  ),
  Duration(100, "sec")
)

// print the response
println(response)
// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")

// Call the API
let response = try await client.searchForFacetValues(indexName: "<YOUR_INDEX_NAME>", facetName: "facetName")

// print the response
print(response)

See the full API reference

For more details about input parameters and response fields.
Last modified on March 25, 2026